> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# List Tag Assignments

GET https://tags/assignments

Reference: https://docs.itspropel.com/propel-biz/32-tags/assignments/list-tag-assignments

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /tags/assignments:
    get:
      operationId: list-tag-assignments
      summary: List Tag Assignments
      tags:
        - subpackage_32Tags.subpackage_32Tags/assignments
      parameters:
        - name: entity_type
          in: query
          description: >-
            Optional: Filter by entity type - must be a key in
            config('tags.entity_mapping') - e.g.
            customer|customer_location|work_order|equipment|lead|opportunity
          required: false
          schema:
            type: string
        - name: entity_id
          in: query
          description: 'Optional: Filter by entity UUID - resolved via entity_uuid_fields'
          required: false
          schema:
            type: string
        - name: tag_type_id
          in: query
          description: 'Optional: Filter by tag type UUID'
          required: false
          schema:
            type: string
        - name: source_type
          in: query
          description: >-
            Optional: Filter by source - in:
            manual|automation|integration|system
          required: false
          schema:
            type: string
        - name: date_from
          in: query
          description: 'Optional: Filter by created_at >= - date format YYYY-MM-DD'
          required: false
          schema:
            type: string
        - name: date_to
          in: query
          description: 'Optional: Filter by created_at <= - date format YYYY-MM-DD'
          required: false
          schema:
            type: string
        - name: scope
          in: query
          description: >-
            Optional: Result scope - in: direct|effective|dispatch - default
            direct
          required: false
          schema:
            type: string
        - name: sort_by
          in: query
          description: 'Optional: Sort field - in: created_at|updated_at'
          required: false
          schema:
            type: string
        - name: sort_direction
          in: query
          description: 'Optional: Sort direction - asc|desc'
          required: false
          schema:
            type: string
        - name: per_page
          in: query
          description: 'Optional: Results per page - integer 1-100 - default 25'
          required: false
          schema:
            type: integer
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/32 Tags_Assignments_List Tag
                  Assignments_Response_200
servers:
  - url: https:/
    description: https://{url}
components:
  schemas:
    32 Tags_Assignments_List Tag Assignments_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 32 Tags_Assignments_List Tag Assignments_Response_200

```

## Examples



**Request**

```json
{
  "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://https/tags/assignments"

querystring = {"entity_type":"work_order","entity_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6","tag_type_id":"a1b2c3d4-e5f6-7890-abcd-ef1234567890","source_type":"manual","date_from":"2024-01-01","date_to":"2024-04-30","scope":"direct","sort_by":"created_at","sort_direction":"desc","per_page":"25"}

payload = { "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456" }
headers = {
    "{{tenant_key_name}}": "X-Tenant-ID",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25';
const options = {
  method: 'GET',
  headers: {'{{tenant_key_name}}': 'X-Tenant-ID', 'Content-Type': 'application/json'},
  body: '{"{{tenant_key_value1}}|{{tenant_key_value2}}":"tenant123|tenant456"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25"

	payload := strings.NewReader("{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("{{tenant_key_name}}", "X-Tenant-ID")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["{{tenant_key_name}}"] = 'X-Tenant-ID'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25")
  .header("{{tenant_key_name}}", "X-Tenant-ID")
  .header("Content-Type", "application/json")
  .body("{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25', [
  'body' => '{
  "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => 'X-Tenant-ID',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25");
var request = new RestRequest(Method.GET);
request.AddHeader("{{tenant_key_name}}", "X-Tenant-ID");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "X-Tenant-ID",
  "Content-Type": "application/json"
]
let parameters = ["{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/tags/assignments?entity_type=work_order&entity_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&tag_type_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890&source_type=manual&date_from=2024-01-01&date_to=2024-04-30&scope=direct&sort_by=created_at&sort_direction=desc&per_page=25")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```